#
# spec file for package sbl (Version 3.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sbl
BuildRequires:  gcc-c++ glib2 glib2-devel orca python python-devel
Version:        3.1
Release:        8
License:        GPL v2 or later
Group:          Hardware/Other
Source:         sblsrc-3.1.tbz2
Summary:        SuSE blinux
PreReq:         %insserv_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SuSE blinux is a screen reader for the Linux console. It supports
braille displays.



Authors:
--------
    marco@suse.de

%package orca
Summary:        SuSE blinux
Group:          Hardware/Other
Requires:       orca sbl

%description orca
SuSE blinux is a screen reader for the Linux console. It supports
braille displays.



Authors:
--------
    marco@suse.de

%prep
%setup -n sblsrc-3.1
#%patch -p2

%build
make CFLAGS="$RPM_OPT_FLAGS -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE" LIB_CFLAGS="$RPM_OPT_FLAGS -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE -fPIC"
make -C orca_brl

%install 
install -d %{buildroot}%{_libdir}/python2.5/site-packages/orca
make LIBINSTPATH=%{_libdir} DESTDIR=$RPM_BUILD_ROOT install
make -C orca_brl DESTDIR=%{buildroot} LIBINSTPATH=%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%{insserv_force_if_yast etc/init.d/sbl }
%{insserv_force_if_yast etc/init.d/brld }

%postun
%run_ldconfig
%{insserv_cleanup}

%files
%defattr (-,root,root,755)
%doc doc/* Changelog
/usr/lib/suse-blinux/keymap
/usr/lib/suse-blinux/lib
%dir /usr/lib/suse-blinux
/usr/lib/suse-blinux/profile
/usr/lib/suse-blinux/brltbl
/usr/lib/suse-blinux/spkfilter
/usr/lib/suse-blinux/spk
/usr/lib/suse-blinux/sbl
/usr/sbin/sbl
/usr/sbin/brld
/usr/sbin/rcbrld
%{_libdir}/libbrld.so
%config /etc/init.d/sbl
%config /etc/init.d/brld
%config /etc/suse-blinux.conf

%files orca
%{_libdir}/python2.5/site-packages/orca/brlmodule.so

%changelog
* Fri Feb 22 2008 marco@suse.de
- apply changes from schwab@suse.de (removed sa_restorer)
* Fri Feb 22 2008 marco@suse.de
- fixed some build problems for x86_64 (using libdir instead of fixed pathnames)
* Tue Feb 19 2008 marco@suse.de
- fixed a possible segfault in brld
- use select instead of usleep to wait for a brlkey-event in the brl-thread
  of brld
- changed behavior of event_mode in brld
  to avoid timeout problems with orca
- sigpipe is now ignored in sbl to avoid a crash if sbl uses speechd and speechd crashed
* Tue Jan 29 2008 marco@suse.de
- added "NOCONNECT" handlig in libbrld
- modified/updated the brlstar80 keymap
- added reconnect in sbl if libbrld reports "NOCONNECT"
- renamed /etc/init.d/suse-blinux to /etc/init.d/sbl
-
* Sat Nov 03 2007 marco@suse.de
- improved process-detection
- the foreground-process is now detected even if the
- current process has not the highest PID
* Wed Oct 24 2007 marco@suse.de
- added support for handytech evolution 88 and 64
* Mon Jul 23 2007 marco@suse.de
- changed default value for brlname to none in suse-blinux.conf
- fixed build-problems for x86_64
  do make LIBINSTPATH=/usr/lib64 for x86_64 architectures
* Tue Jul 17 2007 marco@suse.de
- first release of brld
* Sat Jul 14 2007 marco@suse.de
- version 3.0
- sbl now connects to brld (part of the sbl package)
- added speechdispatcher support (thanks to Halim Sahin)
- added some patches to the HT driver to improve
  the handling of disconnects if Bt is used via rfcomm (thanks to Klaus  Knopper)
- if sbl is used with the kbd_sniffer-kernel-patch keyboard.map is used by default
  keyboardsettings in <brlname>.map will overwrite the settings in
  keyboard.map (thanks to Klaus Knopper)
- impoved the fhp_usb driver - handling of incoming keyevents is now more
  stable
* Fri Mar 02 2007 marco@suse.de
- added patch from ssommer@suse.de
- changed screen device from /dev/vcsa0 to /dev/vcsa
-
* Mon Jan 22 2007 ssommer@suse.de
- fixed invalid operation error and deobfuscated the code a bit
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
- Always use RPM_OPT_FLAGS.
* Fri Jun 17 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Sat May 28 2005 olh@suse.de
- cast to avoid build failure
* Wed Jun 16 2004 ro@suse.de
- cast to avoid gcc warning
* Fri Mar 26 2004 kukuk@suse.de
- don't apply removed patch
- build as user
* Wed Mar 24 2004 marco@suse.de
- added portability patch from schwab@suse.de
* Wed Mar 17 2004 schwab@suse.de
- Remove bogus use of sa_restorer.
- Fix portability bugs.
* Mon Mar 15 2004 marco@suse.de
- fixed ia64 errors in softspeech_server.c
* Mon Mar 15 2004 marco@suse.de
- fixed FB bug resolutions > 800x600 now OK
- disabled mbrdico support for this version (2.2)
- added new softspeech-lib
* Tue Mar 09 2004 marco@suse.de
- added brlstar80 support
- improved softspeech support
- improve speech-only navigation (kernel patch needed)
- added brllino support (experimental)
* Mon Mar 08 2004 ro@suse.de
- create pipes with mode 644
* Mon Aug 11 2003 marco@suse.de
- add power-braille-support (experimental)
- add mbrdico support in softspeech_server
* Thu Jun 05 2003 coolo@suse.de
- use BuildRoot
- move rc* link to /usr/sbin
- replaced invalid rpath
* Fri Sep 13 2002 marco@suse.de
- removed lib-mn and lib-blazi
* Tue Sep 10 2002 marco@suse.de
- added profiles y2base and y2menu
- removed include of rc.config in suse-blinux script
* Tue Aug 20 2002 ro@suse.de
- added prereq (#17984)
* Thu Jul 25 2002 marco@suse.de
- add brlwave features
- fixed bug in startscript
- modified spkfilter for multi-language-support
* Fri Jun 14 2002 ro@suse.de
- always use macros when calling insserv
* Thu Mar 21 2002 mmj@suse.de
- Fixed typo (Bug #14709)
* Sun Feb 10 2002 marco@suse.de
- add brlstar40-support
* Thu Jan 31 2002 marco@suse.de
- cleaned up the profile and keymap directory
- fixed the lnrgt bug
* Tue Jan 29 2002 marco@suse.de
- add patch from schwab@suse.de
- add string-compression for speech
- add a new handling of screen-memory (for frame-buffer)
* Wed Jan 23 2002 schwab@suse.de
- Fix to compile.
* Tue Jan 15 2002 marco@suse.de
- moved fifos from /tmp to /var/run
- using a new version of softspeech.so
* Mon Sep 17 2001 marco@suse.de
- fixed bug in startup-script (status)
* Thu Sep 06 2001 marco@suse.de
- add check before using fifos
* Wed Aug 15 2001 marco@suse.de
- add patch from ro@suse.de (use g++ instead of gcc for linking)
* Mon Aug 13 2001 marco@suse.de
- add patch from schwab@suse.de
- add new documentation
* Mon Aug 13 2001 schwab@suse.de
- Remove references to sa_restorer.
- Don't call linker directly.
* Mon Aug 13 2001 marco@suse.de
- add combibraille-support (25,40,80)
- fix tiny bug
- fix handytech bug (statuscells)
- add debug functions
- add kbd_sniff-support using kernel-patch 2.2.x
- improve softspeech-interface
- modify yast2-profile
- fix start-script suse-blinux
- insert the changes from schwab@suse.de
- add baum vario support
* Sun Jun 17 2001 schwab@suse.de
- Fix buiding of shared libraries.
- Fix missing declarations.
- Remove useless inline.
* Sun May 06 2001 schwab@suse.de
- Fix building on non ia32 platforms.
* Mon Apr 30 2001 marco@suse.de
- update to 1.2
* Tue Dec 12 2000 marco@suse.de
- integrated patches
* Thu Nov 30 2000 ro@suse.de
- fixed start-script to install in /etc/init.d
- use doc macro in specfile
* Thu Nov 30 2000 ro@suse.de
- re-added patch from schwab@suse.de
* Sat Nov 18 2000 marco@suse.de
- update to 1.1
* Thu Jun 29 2000 marco@suse.de
- suse-blinux.conf - profile2 is now y2bignfat (for yast2 textmode inst)
  : keymaps - prof1,prof2
* Wed Jun 28 2000 marco@suse.de
- change yast2-profile (frame-buffer)
* Wed Jun 28 2000 marco@suse.de
- bug-fix in profile-directory
* Wed Jun 28 2000 marco@suse.de
- new profile for yast2
* Tue Jun 27 2000 marco@suse.de
- dynamic linking
  Sat Nov 18 18:24:14 CET 2000
- build shared-libs
